Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		opentts
#Epoch:		0
Version:	0.1
Release:	3
License:	GNU/GPLv2
URL:		http://www.opentts.org
Group:		System/Library
Summary:	device independent layer for speech synthesis
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		opentts-python26.patch

# Requires:
Requires(post,preun): /sbin/install-info

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: dotconf-devel
BuildRequires: espeak-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libao-devel
BuildRequires: libsndfile-devel
BuildRequires: libtool-devel
BuildRequires: pkg-config
BuildRequires: pulseaudio-libs-devel
BuildRequires: python26-devel
BuildRequires: python26

%description
The OpenTTS project provides a device independent layer for speech synthesis. It provides a simple interface for client applications (applications that want to speak), and speech synthesizers. Many common speech synthesizers are supported, such as espeak, flite, and IBMTTS. Many commonly used applications can work with OpenTTS, such as the GNOME Orca screen reader, BrlTTY, and speakup via the OSpeakup project.



%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/opentts.info.gz %{_infodir}/dir
fi

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
/sbin/install-info %{_infodir}/opentts.info.gz %{_infodir}/dir

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/opentts/clients/emacs.conf
%{_sysconfdir}/opentts/clients/gnome-speech.conf
%{_sysconfdir}/opentts/modules/cicero.conf
%{_sysconfdir}/opentts/modules/dtk-generic.conf
%{_sysconfdir}/opentts/modules/epos-generic.conf
%{_sysconfdir}/opentts/modules/espeak.conf
%{_sysconfdir}/opentts/modules/espeak-generic.conf
%{_sysconfdir}/opentts/modules/espeak-mbrola-generic.conf
%{_sysconfdir}/opentts/modules/festival.conf
%{_sysconfdir}/opentts/modules/flite.conf
%{_sysconfdir}/opentts/modules/ibmtts.conf
%{_sysconfdir}/opentts/modules/ivona.conf
%{_sysconfdir}/opentts/modules/llia_phon-generic.conf
%{_sysconfdir}/opentts/modules/swift-generic.conf
%{_sysconfdir}/opentts/openttsd.conf
%{_bindir}/openttsd
%{_bindir}/otts-conf
%{_bindir}/otts-say
%{_bindir}/otts-send
%{_libdir}/libopentts.so.*
%{_libdir}/opentts/audio
%{_libdir}/opentts/modules
%{_libdir}/python2.6/site-packages/opentts
%{_libdir}/python2.6/site-packages/opentts_config
%{_infodir}/opentts.info.gz
%{_infodir}/otts-say.info.gz
%exclude %{_infodir}/ssip.info.gz
%{_datadir}/opentts/conf
%{_datadir}/sounds/opentts

%files devel
%defattr(-,root,root)
%{_includedir}/opentts
%{_libdir}/libopentts.a
%{_libdir}/libopentts.la
%{_libdir}/libopentts.so
%{_pkgconfig}/opentts.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1-3
- rebuilt against libao 1.0.0
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1-2
- rebuilt against dotconf 1.3
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1-1
- initial CCux package release
